Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.api
Interface RuntimeDataService

All Known Implementing Classes:
  RuntimeDataServiceImpl

    public interface RuntimeDataService

This service provides an interface to retrieve data about the runtime, including the following:

- process instances
- process definitions
- node instance information
- variable information

Method Summary
`ProcessAssetDesc` | `getProcessById(String processId)`
`Collection<ProcessAssetDesc>` | `getProcesses()`
`Collection<ProcessAssetDesc>` | `getProcessesByDeploymentId(String deploymentId)`
`ProcessAssetDesc` | `getProcessesByDeploymentIdProcessId(String deploymentId, String processId)`
`Collection<ProcessAssetDesc>` | `getProcessesByFilter(String filter)`
`Collection<String>` | `getProcessIds(String deploymentId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceActiveNodes(String deploymentId, long processId)` (difference between this and getProcessInstanceHistory(..) methods?)
`ProcessInstanceDesc` | `getProcessInstanceById(long processId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceCompletedNodes(String deploymentId, long processId)` (difference between this and getProcessInstanceHistory(..) methods?)
`Collection<NodeInstanceDesc>` | `getProcessInstanceFullHistory(String deploymentId, long processId)`
`Collection<NodeInstanceDesc>` | `getProcessInstanceHistory(String deploymentId, long processId)` (difference between this and getProcessInstanceActiveNodes(..)?)
`Collection<NodeInstanceDesc>` | `getProcessInstanceHistory(String deploymentId, long processId, boolean completed)` (difference between this and getProcessInstanceActiveNodes(..)
`Collection<ProcessInstanceDesc>` | `getProcessInstances()`
`Collection<ProcessInstanceDesc>` | `getProcessInstances(List<Integer> states, String initiator)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByDeploymentId(String deploymentId, List<Integer> states)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByProcessDefinition(String processDefId)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByProcessId(List<Integer> states, String processId, String initiator)`
`Collection<ProcessInstanceDesc>` | `getProcessInstancesByProcessName(List<Integer> states, String processName, String initiator)`
`Collection<VariableStateDesc>` | `getVariableHistory(long processInstanceId, String variableId)`
`Collection<VariableStateDesc>` | `getVariablesCurrentState(long processInstanceId)`

Method Detail

### getProcessInstances

    Collection<ProcessInstanceDesc> getProcessInstances()

  Returns:
    A list of `ProcessInstanceDesc` instances representing the available process instances.

### getProcessInstances

    Collection<ProcessInstanceDesc> getProcessInstances(List<Integer> states,
                                                        String initiator)

  Parameters:
    `states` - A list of possible state (int) values that the `ProcessInstance` can have.
    `initiator` - The initiator of the `ProcessInstance`.
  Returns:
    A list of `ProcessInstanceDesc` instances representing the process instances that match the given criteria (states and inititator).

### getProcessInstancesByProcessId

    Collection<ProcessInstanceDesc> getProcessInstancesByProcessId(List<Integer> states,
                                                                   String processId,
                                                                   String initiator)

  Parameters:
    `states` - A list of possible state (int) values that the `ProcessInstance` can have.
    `processId` - The id of the `Process` (definition) used when starting the process instance.
    `initiator` - The initiator of the `ProcessInstance`.
  Returns:
    A list of `ProcessInstanceDesc` instances representing the process instances that match the given criteria (states, processId, and inititator).

### getProcessInstancesByProcessName

    Collection<ProcessInstanceDesc> getProcessInstancesByProcessName(List<Integer> states,
                                                                     String processName,
                                                                     String initiator)

  Parameters:
    `states` - A list of possible state (int) values that the `ProcessInstance` can have.
    `processName` - The name (not id!) of the `Process` (definition) used when starting the process instance.
    `initiator` - The initiator of the `ProcessInstance`.
  Returns:
    A list of `ProcessInstanceDesc` instances representing the process instances that match the given criteria (states, processName and inititator).

### getProcessInstancesByDeploymentId

    Collection<ProcessInstanceDesc> getProcessInstancesByDeploymentId(String deploymentId,
                                                                      List<Integer> states)

  Parameters:
    `deploymentId` - The deployment id of the runtime.
    `states` - A list of possible state (int) values that the `ProcessInstance` can have.
  Returns:
    A list of `ProcessInstanceDesc` instances representing the process instances that match the given criteria (deploymentId and states).

### getProcessInstanceById

    ProcessInstanceDesc getProcessInstanceById(long processId)

  Parameters:
    `processId` - The id of the process (definition) used to start the `ProcessInstance`.
  Returns:
    Process instance information, in the form of a `ProcessInstanceDesc` instance.

### getProcessInstancesByProcessDefinition

    Collection<ProcessInstanceDesc> getProcessInstancesByProcessDefinition(String processDefId)

  Parameters:
    `processDefId` - The id of the process (definition)
  Returns:
    A list of `ProcessInstanceDesc` instances representing the process instances that match the given criteria (deploymentId and states).

### getProcessInstanceHistory

    Collection<NodeInstanceDesc> getProcessInstanceHistory(String deploymentId,
                                                           long processId)

  (difference between this and getProcessInstanceActiveNodes(..)?)

  Parameters:
    `deploymentId` -
    `processId` -
  Returns:

### getProcessInstanceHistory

    Collection<NodeInstanceDesc> getProcessInstanceHistory(String deploymentId,
                                                           long processId,
                                                           boolean completed)

  (difference between this and getProcessInstanceActiveNodes(..)/getProcessInstanceCompletedNodes(..) ?)

  Parameters:
    `deploymentId` -
    `processId` -
    `completed` -
  Returns:

### getProcessInstanceFullHistory

    Collection<NodeInstanceDesc> getProcessInstanceFullHistory(String deploymentId,
                                                               long processId)

  Parameters:
    `deploymentId` - The id of the deployment (runtime).
    `processId` - The id of the process used to start the process instance.
  Returns:
    The `NodeInstance` information, in the form of a list of `NodeInstanceDesc` instances, that comes from a process instance that matches the given criteria (deploymentId, processId).

### getProcessInstanceActiveNodes

    Collection<NodeInstanceDesc> getProcessInstanceActiveNodes(String deploymentId,
                                                               long processId)

  (difference between this and getProcessInstanceHistory(..) methods?)

  Parameters:
    `deploymentId` -
    `processId` -
  Returns:

### getProcessInstanceCompletedNodes

    Collection<NodeInstanceDesc> getProcessInstanceCompletedNodes(String deploymentId,
                                                                  long processId)

  (difference between this and getProcessInstanceHistory(..) methods?)

  Parameters:
    `deploymentId` -
    `processId` -
  Returns:

### getVariablesCurrentState

    Collection<VariableStateDesc> getVariablesCurrentState(long processInstanceId)

  Parameters:
    `processInstanceId` - The process instance id.
  Returns:
    Information about variables in the specified process instance, represented by a list of `VariableStateDesc` instances.

### getVariableHistory

    Collection<VariableStateDesc> getVariableHistory(long processInstanceId,
                                                     String variableId)

  Parameters:
    `processInstanceId` - The process instance id.
    `variableId` - The id of the variable
  Returns:
    Information about the variable with the given id in the specified process instance, represented by a list of `VariableStateDesc` instances.

### getProcessesByDeploymentId

    Collection<ProcessAssetDesc> getProcessesByDeploymentId(String deploymentId)

  Parameters:
    `deploymentId` - The deployment id of the runtime.
  Returns:
    A list of `ProcessAssetDesc` instances representing processes that match the given criteria (deploymentId)

### getProcessesByFilter

    Collection<ProcessAssetDesc> getProcessesByFilter(String filter)

  Parameters:
    `filter` - A regular expression.
  Returns:
    A list of `ProcessAssetDesc` instances whose name or id matches the given regular expression.

### getProcesses

    Collection<ProcessAssetDesc> getProcesses()

  Returns:
    A list of all available processes, in the form a of a list of `ProcessAssetDesc` instances.

### getProcessIds

    Collection<String> getProcessIds(String deploymentId)

  Parameters:
    `deploymentId` - The deployment id of the runtime.
  Returns:
    A list of all available process id's for a particular deployment/runtime.

### getProcessById

    ProcessAssetDesc getProcessById(String processId)

  Parameters:
    `processId` - The id of the process
  Returns:
    A `ProcessAssetDesc` instance, representing the `Process` with the specified (process) id.

### getProcessesByDeploymentIdProcessId

    ProcessAssetDesc getProcessesByDeploymentIdProcessId(String deploymentId,
                                                         String processId)

  Parameters:
    `deploymentId` - The id of the deployment (runtime)
    `processId` - The id of the process
  Returns:
    A `ProcessAssetDesc` instance, representing the `Process` that is present in the specified deployment with the specified (process) id.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.